DATABASE-MANAGEMENT_EXTERNAL-ASM_SUMMARIZE-EXTERNAL-ASM-METRICS(1)

NAME
database-management_external-asm_summarize-external-asm-metrics -

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

DESCRIPTION

Gets metrics for the external ASM specified by externalAsmId.

USAGE

oci database-management external-asm summarize-external-asm-metrics [OPTIONS]

REQUIRED PARAMETERS

--end-time [text]

    The end of the time range set to retrieve metric data for the DB system and its members. Expressed in UTC in ISO-8601 format, which is yyyy-MM-dd’T’hh:mm:ss.sss’Z’.

--external-asm-id [text]

    The OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm> of the external ASM.

--start-time [text]

    The beginning of the time range set to retrieve metric data for the DB system and its members. Expressed in UTC in ISO-8601 format, which is yyyy-MM-dd’T’hh:mm:ss.sss’Z’.

OPTIONAL PARAMETERS

--filter-by-metric-names [text]

    The filter used to retrieve a specific set of metrics by passing the desired metric names with a comma separator. Note that, by default, the service returns all supported metrics.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--limit [integer]

    The maximum number of records returned in the paginated response.

--page [text]

    The page token representing the page from where the next set of paginated results are retrieved. This is usually retrieved from a previous list call.

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

EXAMPLE USING REQUIRED PARAMETER

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export end_time=<substitute-value-of-end_time> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/database-management/external-asm/summarize-external-asm-metrics.html#cmdoption-end-time
    export external_asm_id=<substitute-value-of-external_asm_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/database-management/external-asm/summarize-external-asm-metrics.html#cmdoption-external-asm-id
    export start_time=<substitute-value-of-start_time> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/database-management/external-asm/summarize-external-asm-metrics.html#cmdoption-start-time
    oci database-management external-asm summarize-external-asm-metrics --end-time $end_time --external-asm-id $external_asm_id --start-time $start_time

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle